Subject: Re: [patch net-next RFC 0/4] introduce infrastructure for support of switch chip datapath

From: "John W. Linville" <[email-masked]>
Date: Wed, 2 Apr 2014 16:38:30 -0400

On Wed, Apr 02, 2014 at 10:23:18PM +0200, Jiri Pirko wrote:
> Wed, Apr 02, 2014 at 10:04:37PM CEST, [email-masked] wrote:
> >On Wed, 2 Apr 2014 15:29:15 -0400
> >"John W. Linville" <[email-masked]> wrote:
> >
> >> I've seen the 'ethtool -S' example before and I guess it is valid.
> >> Still, is it worth the confusion of having a mostly useless/unique
> >> netdev just to reuse an ethtool ioctl?  Maybe, I guess...?
> >
> >ethtool is actually the most worthless part of the API.
> >It can't be monitored, is ioctl based but and the statistics are device
> >dependent making them useless for monitoring applications.
> 
> Has anyone actually been thinking about converting ethtool functionality
> to netlink as well? I did some time ago. Most of it should be easy (more or less)
> to do I believe.

Seems like a good idea...but only if you promise to have it primarily
accessed by a tool with a 2-letter name! :-)

-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.